Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 5.0.0SynchronousAuth Required
UpdateAtPersonOfAtDingTalkEndpoint
UpdateAtPersonOfAtDingTalkEndpoint
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateatpersonofatdingtalkendpointObjectRequiredupdateatpersonofatdingtalkendpoint request body object.
endpointUuidStringRequiredThe DingTalk endpoint uuid.
phoneNumberStringOptional. The phone number.
remarkStringOptional. The remark.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/sns/application-endpoints/ding-talk/at-persons/{uuid}/actions
/zstack/v1/sns/application-endpoints/ding-talk/at-persons/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/ding-talk/at-persons/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateatpersonofatdingtalkendpoint":{"endpointUuid":"<endpointUuid>","phoneNumber":"<phoneNumber>","remark":"<remark>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "bb8f58cf82bd42a0902e192a920e02be", "phoneNumber": "18988887777", "endpointUuid": "e046be58ccbf4ab592bfb18aa0975418", "createDate": "Dec 25, 2023 2:07:18 PM", "lastOpDate": "Dec 25, 2023 2:07:18 PM", "remark": "jack" } }Change History
This API has no change history records yet.
